<template>
  <div
    class="sellerQuantity"
    :class="{ '_under-order': !inStock }">
    <template v-if="inStock">
      <div class="sellerQuantity-name -in-stock">В наличии</div>
    </template>
    <template v-else>
      <div class="sellerQuantity-name">Под заказ</div>
      <div class="sellerQuantity-value">{{ underOrder }}</div>
    </template>
    <div
      v-if="quantity"
      class="sellerQuantity-value">{{ quantity | spacifyNumber }} шт.
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppSellerQuantity',
  props: {
    inStock: {
      type: Boolean,
      default: true,
    },
    quantity: {
      type: Number,
      default: null,
    },
    underOrder: {
      type: String,
      default: '',
    },
  },
};
</script>

<style lang="postcss">
  .sellerQuantity {
    display: block;

    &-name {
      display: block;
      padding-bottom: .375rem;
      white-space: nowrap;
      font-weight: var(--font-weight-medium);

      &.-in-stock {
        display: inline-flex;
        margin-bottom: 0.25rem;
        padding: 0.25rem 0.5rem;
        color: var(--bg-main);
        border-radius: 0.25rem;
        background-color: var(--online-color);
      }
    }

    @media screen and (max-width: 980px) {
      display: flex;
      justify-content: flex-end;
      align-items: center;

      &-name {
        display: block;
        white-space: nowrap;
        font-weight: var(--font-weight-medium);
        &.-in-stock {
          margin-bottom: 0;
        }
      }

      &-value {
        padding-left: 1rem;
        color: var(--color-main-lightest);
      }

      &._under-order {
        .sellerQuantity-name {
          color: var(--color-main-lightest);
        }
      }
    }
  }
</style>
